Arch API

From FreeCAD Documentation
Revision as of 20:49, 27 February 2020 by FuzzyBot (talk | contribs) (Updating to match new version of source page)
(diff) ← Older revision | Latest revision (diff) | Newer revision → (diff)
Jump to navigation Jump to search
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎français • ‎hrvatski • ‎italiano • ‎polski • ‎română • ‎русский
(November 2018) API Arch este listat în autogenerated API documentation.

Funcțiile API care fac parte din atelierul Arch Arch Workbench pot fi utilizate atât în macro-urimacros cât și din consola Python după ce a fost importat modulul Arch. Atelierul Reinforcement Addon are propriul Reinforcement API.

Exempluː

import FreeCAD, Draft, Arch

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(2000, 0, 0)
baseline = Draft.makeLine(p1, p2)

Arch.makeWall(baseline, length=None, width=200, height=2000)